GpgFrontend::UI::KeyUIDSignDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyUIDSignDialog:
Collaboration diagram for GpgFrontend::UI::KeyUIDSignDialog:

## Signals

void | SignalKeyUIDSignUpdate ()

## Public Member Functions

| KeyUIDSignDialog (const GpgKey &key, UIDArgsListPtr uid, QWidget *parent=nullptr)
| Construct a new Key U I D Sign Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Slots

void | slot_sign_key (bool clicked)

## Private Attributes

KeyList * | m_key_list_
QPushButton * | sign_key_button_
QDateTimeEdit * | expires_edit_
QCheckBox * | non_expire_check_
UIDArgsListPtr | m_uids_
const GpgKey & | m_key_

## Constructor & Destructor Documentation

## KeyUIDSignDialog()

GpgFrontend::UI::KeyUIDSignDialog::KeyUIDSignDialog | ( | const GpgKey & | key,
|  | UIDArgsListPtr | uid,
|  | QWidget * | parent = `nullptr`
| ) |  |

explicit

Construct a new Key U I D Sign Dialog object.

Parameters

  key |
  uid |
  parent |

A DateTime after 5 Years is recommend.

Note further that the OpenPGP protocol uses 32 bit values for timestamps and thus can only encode dates up to the year 2106.

References GpgFrontend::UI::KeyList::AddListGroupTab(), GpgFrontend::GpgKey::GetId(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::GpgKey::IsDisabled(), GpgFrontend::GpgKey::IsExpired(), GpgFrontend::GpgKey::IsHasCertificationCapability(), GpgFrontend::GpgKey::IsHasMasterKey(), GpgFrontend::GpgKey::IsRevoked(), and slot_sign_key().

## Member Function Documentation

## slot_sign_key

void GpgFrontend::UI::KeyUIDSignDialog::slot_sign_key | ( | bool | clicked | ) |

privateslot

Parameters

  clicked |

References GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgKeyManager >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), and GpgFrontend::GpgKeyGetter::GetKeys().

Referenced by KeyUIDSignDialog().

The documentation for this class was generated from the following files:

- src/ui/dialog/keypair_details/KeyUIDSignDialog.h
- src/ui/dialog/keypair_details/KeyUIDSignDialog.cpp